<?php
class candidate {
	private $Ctvv;
	private $nbr_votes;
	private $name;
	private $ballots_on_me;

	public function __construct($name) {
		$this->reset();
		$this->name = $name;
	}

	public function addVote($ballot, $candidate_id) {
		$this->Ctvv += $ballot->getValue();

		$this->nbr_votes++;
		$this->ballots_on_me[] = $ballot;
		$ballot->addVote($candidate_id);
	}

	public function getCtvv() {
		return $this->Ctvv;
	}
	
	public function setCtvv($val) {
		$this->Ctvv = $val;
	}

	public function getNbrVotes() {
		return $this->nbr_votes;
	}

	public function reset() {
		$this->Ctvv = 0;
		$this->nbr_votes = 0;
		$this->ballots_on_me = array();
	}

	public function getVotesOnMe() {
		return $this->ballots_on_me;
	}

	public function __toString() {
		return $this->name;
	}

}

/*
Sort with this function to get the candidate with highest Ctvv first in the array.
*/
function compareCandidateCtvv($a, $b) {
	return $b->getCtvv()-$a->getCtvv();
}
?>

