<?php
require('counting.php');

//Mappar sektionsbokstav till program-ID
$sektioner = array(
	'F' => array(2151, 21512, 21511),
	'E' => array(2152),
	'M' => array(2153, 21531),
	'V' => array(21548, 21549, 21547, 2154),
	'A' => array(2155, 21556),
	'K' => array(21562, 2156),
	'D' => array(21574, 2157),
	#'Dokt' => array(2158),
	'ING' => array(215010, 215011, 215012, 215013, 215014, 215015, 215016, 215017, 21509, 21508, 2150, 21501, 21502, 21503, 21504, 21505, 21506, 215018, 21507),
	'W' => array(2159),
	'I' => array(2160),
	'Fria mandat' => false,
);

define('ELECTION_NBR', 5);
define('TOTAL_NBR_SEATS', 27);

function execSQL($sql) {
	$db=mysql_connect("localhost", "fm_vote_counting", "vEu3R2dWLqGaUHUh");
	mysql_select_db("tlth_web", $db);
	return mysql_query($sql, $db);
}

//Check if the voting tables are valid
$result1 = execSQL("SELECT COUNT(*) FROM executive_council_election_voted_members WHERE executive_council_election_id='" . ELECTION_NBR . "'");
$result2 = execSQL("SELECT COUNT(*) FROM executive_council_election_votes WHERE executive_council_election_id='" . ELECTION_NBR . "'");
$row1 = mysql_fetch_row($result1);
$row2 = mysql_fetch_row($result2);

if($row1[0] != $row2[0]){
	die('FEL!!! Någon har mixtrat med rösterna!');
}


$all_elected_candidates = array();

while(count($sektioner)){
	$ballots = array();

	$result = execSQL("SELECT group_concat(executive_council_election_candidate_id ORDER BY p.rank) AS vote FROM executive_council_election_vote_parts AS p LEFT JOIN executive_council_election_votes AS v ON v.id=p.executive_council_election_vote_id WHERE v.executive_council_election_id='" . ELECTION_NBR . "' GROUP BY v.id");

	while($row = mysql_fetch_assoc($result)){
		$ballots[] = new Ballot(explode(',', $row['vote']));
	}

	$incoming_candidates = array();

	$temp = array_keys($sektioner);
	$sektion_bokstav = array_shift($temp);
	$sektion_id = $sektioner[$sektion_bokstav];
	unset($sektioner[$sektion_bokstav]);
	$sektion_where = $sektion_id ? "AND m.program_id IN(" . implode(',', $sektion_id) . ")" : '';

	print "Räknar just nu på $sektion_bokstav\n";

	if($sektion_id){
		$NBR_SEATS = 1;
	} else {
		$count_elected_candidates = 0;
		foreach($all_elected_candidates as $valda) $count_elected_candidates += count($valda);

		$NBR_SEATS = TOTAL_NBR_SEATS - $count_elected_candidates;
	}


	$result = execSQL("SELECT c.id, CONCAT(m.firstname, ' ', m.lastname) AS name FROM executive_council_election_candidates AS c LEFT JOIN members AS m ON m.id=c.member_id WHERE c.executive_council_election_id='" . ELECTION_NBR . "' $sektion_where");

	while($row = mysql_fetch_assoc($result)){
		$incoming_candidates[$row['id']] = new Candidate($row['name']);
	}

	//Filtrera ut de som redan är valda
	foreach($all_elected_candidates as $sektion=>$valda){
		if(count($valda) > 1){
			die("FEL!!! Det har blivit två valda från samma sektion på ett garantimandat (se över koden)");	
		}
		foreach($valda as $candidate_id=>$candidate){
			unset($incoming_candidates[$candidate_id]);
		}
	}

	list($elected_candidates, $substitute) = wright($incoming_candidates, $ballots);

	$all_elected_candidates[$sektion_bokstav] = $elected_candidates;


	print "\n**************************************************************************\n";
}

print "\nValda ledamöter, utan inbördes ordning\n";
foreach($all_elected_candidates as $sektion=>$valda){
	foreach($valda as $candidate_id=>$candidate){
		print "$sektion: $candidate\n";
	}
}




// Här börjar lite överflödig testkod som är sparad för historiska själ
/*foreach($elected_candidates as $val) {
	print "$val\n";
}*/

print "\nRangordnade suppleanter, översta är den första\n";
foreach(array_reverse($substitute) as $val){
	print "$val\n";
}


/*

$incoming_candidates[1] = new Candidate("Apelsin");
$incoming_candidates[2] = new Candidate("Päron");
$incoming_candidates[3] = new Candidate("Choklad");
$incoming_candidates[4] = new Candidate("Jordgubbe");
$incoming_candidates[5] = new Candidate("Godis");


$ballots[] = new Ballot(array(1));
$ballots[] = new Ballot(array(1));
$ballots[] = new Ballot(array(1));
$ballots[] = new Ballot(array(1));

$ballots[] = new Ballot(array(2,1));
$ballots[] = new Ballot(array(2,1));


$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));
$ballots[] = new Ballot(array(3,4));

$ballots[] = new Ballot(array(3,5));
$ballots[] = new Ballot(array(3,5));
$ballots[] = new Ballot(array(3,5));
$ballots[] = new Ballot(array(3,5));

$ballots[] = new Ballot(array(4));

$ballots[] = new Ballot(array(5));
 */
?>
